Subject: Re: [sunset4] [OSPF] 答复: [Isis-wg] 答复: 答复: IPv6 router IDs

From: "Bhatia, Manav (Manav)" <[email-masked]>
Date: Fri, 30 May 2014 03:20:27 +0000

Sorry for joining the party so late ..

Those of you following the BFD WG would know that BFD WG is currently being re-chartered to include S-BFD as one of the items that it will be working on.

For S-BFD to work, we need to distribute the S-BFD discriminators across the IGP routing domain. How this can be achieved with OSPF has been described in http://tools.ietf.org/id/draft-bhatia-ospf-sbfd-discriminator-00.txt

With the help of this draft S-BFD clients will know what S-BFD discriminator to use when talking to the reflector or the S-BFD server.

However, it still needs a routable IP address that it can use to set up the S-BFD session.

I believe the draft http://tools.ietf.org/html/draft-xu-ospf-ipv6-router-id-00 will help us in getting that information in the IPv6 context.

Unfortunately, the above draft uses an inappropriate TLV name and doesn’t seem to have a use-case that supports the need for such a TLV. I believe we have at least one use case where we need a "routable" IPv6 address. 

Cheers, Manav

> -----Original Message-----
> From: OSPF [mailto:[email-masked]] On Behalf Of Acee Lindem
> Sent: Monday, May 12, 2014 7:10 PM
> To: Xuxiaohu
> Cc: [email-masked]; Wes George; [email-masked]; Joel
> jaeggli; OSPF List; [email-masked]; [email-masked]
> Subject: Re: [OSPF] 答复: [Isis-wg] 答复: 答复: [sunset4] IPv6 router
> IDs
> 
> Hi Xiaohu,
> Please include the precise use cases as to WHY this is needed OSPF
> draft.
> And by precise, I don't mean just listing MPLS applications, I mean
> explaining why you need this routable address above and beyond what is
> already advertised. At least in the case of OSPF, I'm not convinced.
> Thanks,
> Acee
> 
> 
> -----Original Message-----
> From: Xuxiaohu <[email-masked]>
> Date: Sunday, May 11, 2014 6:44 PM
> To: Ericsson <[email-masked]>
> Cc: Karsten Thomann <[email-masked]>, Anton Smirnov
> <[email-masked]>, "[email-masked]" <[email-masked]>,
> "[email-masked]" <[email-masked]>, Wes George
> <[email-masked]>, Joel jaeggli <[email-masked]>, OSPF -
> OSPF
> WG List <[email-masked]>, "[email-masked]" <[email-masked]>,
> "[email-masked]" <[email-masked]>
> Subject: 答复: [Isis-wg] [OSPF] 答复:  答复:  [sunset4]   IPv6 router
> IDs
> 
> >Hi Acee,
> >
> >IMHO, segment routing could work together with the RFC3464 VPN. In
> such
> >case, the segment routing just replace the role of LDP or RSVP-TE of
> >establishing a transport LSP between PE routers.
> >
> >Best regards,
> >Xiaohu